billing
Checkout
POST
/
api
/
v1
/
billing
/
checkout
Checkout
curl --request POST \
--url https://api.seaotter.dev/api/v1/billing/checkout \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"plan": "hobby",
"client_reference_id": "<string>",
"promotion_code": "<string>",
"attribution": {}
}
'import requests
url = "https://api.seaotter.dev/api/v1/billing/checkout"
payload = {
"plan": "hobby",
"client_reference_id": "<string>",
"promotion_code": "<string>",
"attribution": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
plan: 'hobby',
client_reference_id: '<string>',
promotion_code: '<string>',
attribution: {}
})
};
fetch('https://api.seaotter.dev/api/v1/billing/checkout', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>",
"id": "<string>"
}{
"detail": "Agent not found"
}{
"detail": "Agent not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
Clerk session JWT for the web app (active organization required), or an organization-scoped SEAOTTER access key (so_…) from POST /api/v1/api-keys for programmatic / docs try-it / MCP use. The same so_… value is both Authorization: Bearer so_… and SEAOTTER_API_KEY.
Body
application/json
Available options:
hobby, startup, business, enterprise, starter, pro Affiliate / referral id (Stripe client_reference_id)
Maximum string length:
200Optional Stripe promotion code to apply at checkout
Maximum string length:
64First-touch UTM / ad click IDs (utm_*, gclid, rdt_cid, fbclid) merged into Stripe Checkout + subscription metadata
Show child attributes
Show child attributes
⌘I
Checkout

